Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| XML Digital Signature and Encryption, 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.xml.crypto.enc.dom
Class DOMDecryptContext

    java.lang.Object
      javax.xml.crypto.dom.DOMCryptoContext
          javax.xml.crypto.enc.dom.DOMDecryptContext

All Implemented Interfaces:
  XMLDecryptContext, XMLCryptoContext

    public class DOMDecryptContext

extends DOMCryptoContext
implements XMLDecryptContext

A DOM-specific `XMLDecryptContext` for decrypting.

Constructor Summary
`DOMDecryptContext(java.security.Key key, org.w3c.dom.Element encData)` Creates a `DOMDecryptContext` with the specified decryption key and encrypted data element to decrypt.
`DOMDecryptContext(KeySelector ks, org.w3c.dom.Element encData)` Creates a `DOMDecryptContext` with the specified decryption key selector and encrypted data element to decrypt.

Method Summary
`org.w3c.dom.Element` | `getEncryptedData()` Returns the `EncryptedData` element.
`EncryptionMethod` | `getEncryptionMethod()` getEncryptionMethod
`void` | `setEncryptionMethod(EncryptionMethod encMethod)` Specifies the EncryptionMethod for decryption if the EncryptionMethod is absent from the EncryptedType

Methods inherited from class javax.xml.crypto.dom.DOMCryptoContext
`get, getBaseURI, getDefaultNamespacePrefix, getElementById, getKeySelector, getNamespacePrefix, getProperty, getURIDereferencer, iterator, put, putNamespacePrefix, setBaseURI, setDefaultNamespacePrefix, setIdAttributeNS, setKeySelector, setProperty, setURIDereferencer`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.xml.crypto.XMLCryptoContext
`get, getBaseURI, getDefaultNamespacePrefix, getKeySelector, getNamespacePrefix, getProperty, getURIDereferencer, put, putNamespacePrefix, setBaseURI, setDefaultNamespacePrefix, setKeySelector, setProperty, setURIDereferencer`

Constructor Detail

### DOMDecryptContext

    public DOMDecryptContext(java.security.Key key,
                             org.w3c.dom.Element encData)

  Creates a `DOMDecryptContext` with the specified decryption key and encrypted data element to decrypt.

  Parameters:
    `key` - the decryption key
    `encData` - the `EncryptedType` element: `EncryptedData` or `EncryptedKey`
  Throws:
    `java.lang.NullPointerException` - if `key` or `encData` is `null`

### DOMDecryptContext

    public DOMDecryptContext(KeySelector ks,
                             org.w3c.dom.Element encData)

  Creates a `DOMDecryptContext` with the specified decryption key selector and encrypted data element to decrypt.

  Parameters:
    `ks` - the decryption key selector
    `encData` - the `EncryptedData` element
  Throws:
    `java.lang.NullPointerException` - if `ks` or `encData` is `null`

Method Detail

### getEncryptionMethod

    public EncryptionMethod getEncryptionMethod()

  getEncryptionMethod

  Specified by:
    `getEncryptionMethod` in interface `XMLDecryptContext`
  Returns:
    the EncryptionMethod for decryption

### setEncryptionMethod

    public void setEncryptionMethod(EncryptionMethod encMethod)

  Description copied from interface: `XMLDecryptContext`
  Specifies the EncryptionMethod for decryption if the EncryptionMethod is absent from the EncryptedType

  Specified by:
    `setEncryptionMethod` in interface `XMLDecryptContext`
  Parameters:
    `encMethod` - the EncryptionMethod for decryption

### getEncryptedData

    public org.w3c.dom.Element getEncryptedData()

  Returns the `EncryptedData` element.

  Returns:
    the `EncryptedData` element

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| XML Digital Signature and Encryption, 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2004, IBM Corporation and Sun Microsystems, Inc. All rights reserved.
Please send comments to: jsr-106-comments@jcp.org